
Redmine - Defect #15984

Error register git repositories with script reposman.rb

2014-01-28 13:55 - Martin Llanos

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.4.2

Description

SCM Git

Error Error register git repositories with script reposman.rb, path

incorrect

/opt/redmine/ruby/bin/ruby /opt/redmine/apps/redmine/htdocs/extra/svn/reposman.rb -r homero -s \

/opt/redmine/repository/git -o root -g daemon -c "/opt/redmine/git/bin/git --bare init --shared " 

\ 

-u /opt/redmine/repository/git --scm Git --key=1t0qso8YjDKRsY3vFJjL -v >> \ 

/opt/redmine/apache2/logs/reposman_git.log

Actually Redmine precise path as /local_path/repository/git format, not file:///local_patch/repository/git

History

#1 - 2014-02-04 14:04 - Martin Llanos

- Status changed from New to Resolved

Resolved,

I was not using it correctly.

We must change the identifier on the line $scm

Change by 'Subversion' 'Git', file reposman.rb

Version = "1.4" 

SUPPORTED_SCM = %w( Subversion Darcs Mercurial Bazaar Git Filesystem )

$verbose      = 0

$quiet        = false

$redmine_host = ''

$repos_base   = ''

$svn_owner    = 'root'

$svn_group    = 'root'

$use_groupid  = true

$svn_url      = false

$test         = false

$force        = false

$scm          = 'Git'

#2 - 2014-02-26 05:32 - Toshi MARUYAMA

- Status changed from Resolved to Closed
